Skip to main content
GET
/
v1
/
servers
/
discover
Discover public servers
curl --request GET \
  --url https://api.magne.app/v1/servers/discover \
  --header 'Authorization: Bearer <token>'
{
  "servers": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "iconUrl": "<string>",
      "bannerUrl": "<string>",
      "description": "<string>",
      "ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "requireApproval": true,
      "tags": [
        "<string>"
      ],
      "memberCount": 123,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true,
  "nextCursor": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string
cursor
integer
limit
integer
tag
string
sort
string

Response

Success

servers
object[]
hasMore
boolean
nextCursor
integer<int64> | null